describe('EntryDms', () => {
    const entryId = 1;

    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit(`/#/entry/${entryId}/dms`);
    });

    it('should create edit and remove new dms', () => {
        cy.addRow();
        cy.get('.icon-attach').click();
        cy.get('.q-file').selectFile('test/cypress/fixtures/image.jpg', {
            force: true,
        });

        cy.get('tbody > tr').then((value) => {
            const u = undefined;

            //Create and check if exist new row
            let newFileTd = Cypress.$(value).length;
            cy.get('.q-btn--standard > .q-btn__content > .block').click();
            expect(value).to.have.length(newFileTd++);
            const newRowSelector = `tbody > :nth-child(${newFileTd})`;
            cy.waitForElement(newRowSelector);
            cy.validateRow(newRowSelector, [u, u, u, u, u, 'ENTRADA ID 1']);

            //Edit new dms
            const newDescription = 'entry id 1 modified';
            const textAreaSelector =
                '.q-textarea > .q-field__inner > .q-field__control > .q-field__control-container';
            cy.get(
                `tbody :nth-child(${newFileTd}) > .text-right > .no-wrap > :nth-child(2) > .q-btn > .q-btn__content > .q-icon`
            ).click();

            cy.get(textAreaSelector).clear();
            cy.get(textAreaSelector).type(newDescription);
            cy.saveCard();
            cy.reload();

            cy.validateRow(newRowSelector, [u, u, u, u, u, newDescription]);
        });
    });
});
